Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConverterCollections::ConverterObservableMap Class Reference

`#include <coherence/util/ConverterCollections.hpp>`

Inherits ConverterCollections::ConverterMap, and ObservableMap.

Inherited by ConverterCollections::ConverterCacheMap.

List of all members.

## Detailed Description

A Converter ObservableMap views an underlying ObservableMap through a set of key and value Converters.

## Public Types
typedef spec::Handle | Handle
| ConverterObservableMap Handle definition.
typedef spec::View | View
| ConverterObservableMap View definition.
typedef spec::Holder | Holder
| ConverterObservableMap Holder definition.
## Public Member Functions
virtual void | addKeyListener (MapListener::Handle hListener, Object::View vKey, bool fLite)
  | Add a map listener for a specific key. The listeners will receive MapEvent objects, but if fLite is passed as true, they might not contain the OldValue and NewValue properties. To unregister the MapListener, use the removeMapListener(MapListener, Object) method. Parameters:
  | hListener | the MapEvent listener to add
  | vKey | the key that identifies the entry for which to raise events
  | fLite | true to indicate that the MapEvent objects do not have to include the OldValue and NewValue property values in order to allow optimizations
virtual void | removeKeyListener (MapListener::Handle hListener, Object::View vKey)
  | Remove a map listener that previously signed up for events about a specific key. Parameters:
  | hListener | the listener to remove
  | vKey | the key that identifies the entry for which to raise events
virtual void | addFilterListener (MapListener::Handle hListener, Filter::View vFilter, bool fLite)
  | Add a map listener that receives events based on a filter evaluation. The listeners will receive MapEvent objects, but if fLite is passed as true, they might not contain the OldValue and NewValue properties. To unregister the MapListener, use the {removeMapListener(MapListener, Filter)} method. Parameters:
  | hListener | the {MapEvent} listener to add
  | vFilter | an optional filter that will be passed MapEvent objects to select from; a MapEvent will be delivered to the listener only if the filter evaluates to true for that MapEvent (see {com.tangosol.util.filter.MapEventFilter}); NULL is equivalent to a filter that alway returns true
  | fLite | an optional parameter where true indicates that the {MapEvent} objects do not have to include the OldValue and NewValue property values in order to allow optimizations; default value is false
virtual void | removeFilterListener (MapListener::Handle hListener, Filter::View vFilter)
  | Remove a map listener that previously signed up for events based on a filter evaluation. Parameters:
  | hListener | the listener to remove
  | vFilter | the optional filter that was passed into the corresponding addMapListener() call; defaults to NULL
virtual ObservableMap::Handle | getObservableMap ()
| Return the underlying ObservableMap.
virtual ObservableMap::View | getObservableMap () const
| Return the underlying ObservableMap.
## Protected Member Functions
| ConverterObservableMap (ObservableMap::Handle hMap, EntryConverter::View vConvUp, EntryConverter::View vConvDown)
| Create a ConverterObservableMap which delegates to the specified ObservableMap.
| ConverterObservableMap (ObservableMap::View vMap, EntryConverter::View vConvUp, EntryConverter::View vConvDown)
| Create a ConverterObservableMap which delegates to the specified ObservableMap.
virtual MapListener::Handle | getConverterListener (MapListener::Handle hListener)
| Create a converter listener for the specified listener.

## Constructor & Destructor Documentation

ConverterObservableMap | ( | ObservableMap::Handle | hMap,
|  | EntryConverter::View | vConvUp,
|  | EntryConverter::View | vConvDown |
| ) |  |  | `[protected]`

Create a ConverterObservableMap which delegates to the specified ObservableMap.

Parameters:

  | hMap | underlying ObservableMap
  | vConvUp | EntryConverter from the underlying Map
  | vConvDown | EntryConverter to the underlying Map

ConverterObservableMap | ( | ObservableMap::View | vMap,
|  | EntryConverter::View | vConvUp,
|  | EntryConverter::View | vConvDown |
| ) |  |  | `[protected]`

Create a ConverterObservableMap which delegates to the specified ObservableMap.

Parameters:

  | vMap | underlying ObservableMap
  | vConvUp | EntryConverter from the underlying Map
  | vConvDown | EntryConverter to the underlying Map

## Member Function Documentation

virtual MapListener::Handle getConverterListener | ( | MapListener::Handle | hListener | ) | `[protected, virtual]`

Create a converter listener for the specified listener.

Parameters:

  | hListener | the underlying listener

Returns:
  the converting listener

virtual ObservableMap::Handle getObservableMap | ( |  | ) | `[virtual]`

Return the underlying ObservableMap.

Returns:
  the underlying ObservableMap

virtual ObservableMap::View getObservableMap | ( |  | ) | const `[virtual]`

Return the underlying ObservableMap.

Returns:
  the underlying ObservableMap

The documentation for this class was generated from the following file:

- coherence/util/ConverterCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.